@echo off
rem Batch file to install (copy) required files for multizone system.
rem more info available at http://forums.sagetv.com/forums/showthread.php?t=31524
rem
rem This file will check for the presence of required files and prompt the user to download them
rem if necessary.
rem
rem unfortunately this is required because of licensing restrictions that preclude just
rem zipping up the files and making them available for download :(
rem
rem
rem
cls
echo.
echo This batch file will check for the presence of required files and prompt you to 
echo download and expand any missing files into the appropriate directory.
echo.
echo If all required files are in place then copies of files will be made to  
echo ensure that you can use multizone.cmd without needing to manually muck 
echo about with files.
echo.
echo Good luck.
echo.
pause
rem check to see if sage is in the correct path
if not exist "C:\program files\sagetv" goto nosagedir
echo.
echo Found Sage Directory
echo.

rem check to see if there's a copy of multizone.cmd in a multizone directory under sage
echo.
echo Checking to see if multizone.cmd is present
echo.
if not exist "c:\program files\sagetv\multizone\multizone.cmd" goto nomultizone
echo.
echo Located a copy of multizone.cmd in the correct directory
echo.

rem check to see if there's a copy of pskill.exe in a multizone directory under sage
echo.
echo Checking to see if pskill.exe is present
echo.
if not exist "c:\program files\sagetv\multizone\pskill.exe" goto nopstools
echo.
echo Located a copy of pskill.exe in the correct directory
echo.

rem check to see if there's a copy of psexec.exe in a multizone directory under sage
echo.
echo Checking to see if pskill.exe is present
echo.
if not exist "c:\program files\sagetv\multizone\psexec.exe" goto nopstools
echo.
echo Located a copy of pskill.exe in the correct directory
echo.


rem check to see if there's a copy of savihost.exe in a multizone directory under sage
echo.
echo Checking to see if savihost.exe is present
echo.
if not exist "c:\program files\sagetv\multizone\savihost.exe" goto nosavihost
echo.
echo Located a copy of savihost.exe in the correct directory
echo.
rem make copies of savihost files if required
if not exist "C:\program files\sagetv\multizone\ZoneA.exe" copy "C:\program files\sagetv\multizone\savihost.exe" "C:\program files\sagetv\multizone\ZoneA.exe"
if not exist "C:\program files\sagetv\multizone\ZoneB.exe" copy "C:\program files\sagetv\multizone\savihost.exe" "C:\program files\sagetv\multizone\ZoneB.exe"
if not exist "C:\program files\sagetv\multizone\ZoneC.exe" copy "C:\program files\sagetv\multizone\savihost.exe" "C:\program files\sagetv\multizone\ZoneC.exe"
if not exist "C:\program files\sagetv\multizone\ZoneD.exe" copy "C:\program files\sagetv\multizone\savihost.exe" "C:\program files\sagetv\multizone\ZoneD.exe"
if not exist "C:\program files\sagetv\multizone\sendZoneA.exe" copy "C:\program files\sagetv\multizone\savihost.exe" "C:\program files\sagetv\multizone\sendZoneA.exe"
if not exist "C:\program files\sagetv\multizone\sendZoneB.exe" copy "C:\program files\sagetv\multizone\savihost.exe" "C:\program files\sagetv\multizone\sendZoneB.exe"
if not exist "C:\program files\sagetv\multizone\sendZoneC.exe" copy "C:\program files\sagetv\multizone\savihost.exe" "C:\program files\sagetv\multizone\sendZoneC.exe"
if not exist "C:\program files\sagetv\multizone\sendZoneD.exe" copy "C:\program files\sagetv\multizone\savihost.exe" "C:\program files\sagetv\multizone\sendZoneD.exe"

echo.
echo Made required copies of savihost.exe
echo.

if not exist "c:\program files\sagetv\multizone\reastream-standalone.dll" goto noreastream
echo.
echo Located a copy of reastream-standalone.dll in the correct directory
echo.
rem make copies of savihost files if required
if not exist "C:\program files\sagetv\multizone\ZoneA.dll" copy "C:\program files\sagetv\multizone\reastream-standalone.dll" "C:\program files\sagetv\multizone\ZoneA.dll"
if not exist "C:\program files\sagetv\multizone\ZoneB.dll" copy "C:\program files\sagetv\multizone\reastream-standalone.dll" "C:\program files\sagetv\multizone\ZoneB.dll"
if not exist "C:\program files\sagetv\multizone\ZoneC.dll" copy "C:\program files\sagetv\multizone\reastream-standalone.dll" "C:\program files\sagetv\multizone\ZoneC.dll"
if not exist "C:\program files\sagetv\multizone\ZoneD.dll" copy "C:\program files\sagetv\multizone\reastream-standalone.dll" "C:\program files\sagetv\multizone\ZoneD.dll"
if not exist "C:\program files\sagetv\multizone\sendZoneA.dll" copy "C:\program files\sagetv\multizone\reastream-standalone.dll" "C:\program files\sagetv\multizone\sendZoneA.dll"
if not exist "C:\program files\sagetv\multizone\sendZoneB.dll" copy "C:\program files\sagetv\multizone\reastream-standalone.dll" "C:\program files\sagetv\multizone\sendZoneB.dll"
if not exist "C:\program files\sagetv\multizone\sendZoneC.dll" copy "C:\program files\sagetv\multizone\reastream-standalone.dll" "C:\program files\sagetv\multizone\sendZoneC.dll"
if not exist "C:\program files\sagetv\multizone\sendZoneD.dll" copy "C:\program files\sagetv\multizone\reastream-standalone.dll" "C:\program files\sagetv\multizone\sendZoneD.dll"

echo.
echo Made required copies of reastream-standalone.dll
echo.


echo.
echo Looks like everything is in place.  Enjoy!
echo.
echo.

goto end

:nosagedir
echo.
echo OMG.  Can't find a c:\program files\sagetv directory
echo.
echo This is too weird.  Aborting :(
echo.
goto end

:nomultizone
echo.
echo Unable to locate required file c:\program files\sagetv\multizone\multizone.cmd
echo.
echo Please download a copy from 
echo http://forums.sagetv.com/forums/showthread.php?t=31524
echo and try to run this batch file again.
echo.
goto end

:nosavihost
echo.
echo Unable to locate required file c:\program files\sagetv\multizone\savihost.exe
echo.
echo Please download a copy from 
echo http://forums.sagetv.com/forums/attachment.php?attachmentid=6646^&d=1205565775
echo.
echo copy it to c:\program files\sagetv\multizone and 
echo try to run this batch file again.
echo.
goto end

:noreastream
echo.
echo Unable to locate required file:
echo c:\program files\sagetv\multizone\reastream-standalone.dll
echo.
echo Please download a copy from 
echo http://www.reaper.fm/reaplugs/reaplugs111.zip
echo.
echo copy it to c:\program files\sagetv\multizone and 
echo try to run this batch file again.
echo.
goto end

:nopstools
echo.
echo Unable to locate required file:
echo c:\program files\sagetv\multizone\psexec.exe
echo or 
echo c:\program files\sagetv\multizone\pskill.exe
echo.
echo Please download a copy of psutils from  
echo http://download.sysinternals.com/Files/PsTools.zip
echo.
echo copy the files to c:\program files\sagetv\multizone and 
echo try to run this batch file again.
echo.
goto end
:end
echo.
pause